import { ClientContext } from "@webiny/handler-client/types";
import S3 from "aws-sdk/clients/s3";
interface File {
    extension: string;
    name: string;
    contentLength: number;
}
interface Options {
    width?: string;
}
export interface CanProcessParams {
    s3: S3;
    file: File;
    options?: Options;
    context: ClientContext;
}
export interface ProcessParams {
    s3: S3;
    file: File;
    options?: Options;
    context: ClientContext;
}
declare const _default: {
    canProcess: ({ file }: CanProcessParams) => boolean;
    process({ s3, file, options, context }: ProcessParams): Promise<{
        object: import("aws-sdk/lib/request").PromiseResult<S3.GetObjectOutput, import("aws-sdk/lib/error").AWSError>;
        params: import("../../utils/getObjectParams").ObjectParamsResponse;
    }>;
};
export default _default;
