"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.transformImage = void 0;
var _sharp = _interopRequireDefault(require("sharp"));
/**
 * Sharp is included in the AWS Lambda layer
 */
// @ts-ignore

/**
 * Only processing "width" at the moment.
 * Check "sanitizeImageTransformations.js" to allow additional image processing transformations.
 */
const transformImage = async (buffer, transformations, options = {}) => {
  const {
    width
  } = transformations;
  return await (0, _sharp.default)(buffer, {
    animated: options.animated ?? false
  }).resize({
    width
  }).toBuffer();
};
exports.transformImage = transformImage;